Loading...
Searching...
No Matches
flashprimaryvariables.hh File Reference

Represents the primary variables used by the compositional flow model based on flash calculations. More...

`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <opm/models/common/energymodule.hh>`
`#include <opm/models/discretization/common/fvbaseprimaryvariables.hh>`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | Opm::FlashPrimaryVariables< TypeTag >
| Represents the primary variables used by the compositional flow model based on flash calculations. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Represents the primary variables used by the compositional flow model based on flash calculations.

This class is basically a Dune::FieldVector which can retrieve its contents from an aribitatry fluid state.